import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

import java.util.concurrent.TimeUnit;

public class AccountSettings {

    WebDriver driver;

    public AccountSettings(WebDriver driver) {
        this.driver = driver;
        this.driver.manage().timeouts().implicitlyWait(3, TimeUnit.SECONDS);
    }

    public WebElement getSideNav() {
        return driver.findElement(By.cssSelector("span.menu-nav__profile-button-sign-in-up"));
    }

    public WebElement getAccountSettingsLink() {
        return driver.findElement(By.cssSelector("ul.sidebar__nav > li:nth-child(4) > a"));
    }

    public void navigateToAccountSettings() {
        getSideNav().click();
        getAccountSettingsLink().click();
    }

    public String getFirstName() {
        return driver.findElement(By.cssSelector("#input-firstName")).getText();
    }

    public String getLastName() {
        return driver.findElement(By.cssSelector("#input-lastName")).getText();
    }

}
